For the complete documentation index, see llms.txt. This page is also available as Markdown.

Shipping Information (carrier)

Endpoints to create and read the shipping information of a parcel.

Get shippingInformation

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves shippingInformation entities based on provided search criteria.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

entity to start after

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
sizeinteger · min: 1 · max: 500Optional

number of entities to show. Max value is 500

Default: 25Example: 25
facilityRefsstring[]Optional

filter by facilityRefs

tenantOrderIdstringOptional

filter by tenantOrderId

Example: ORDER-12345
orderBystringOptional

the value by which results should be ordered by. If nothing is passed return values are sorted by id

Example: CREATED_ASC
withTotalbooleanOptional

if set to true, the total count of entities found by the given search criteria will be returned. Default is false

Example: true
Responses
200

Successfully retrieved shippingInformation.

application/json

ShippingInformationResponse

totalintegerOptional

the total count of shipping information entities found by the given search criteria

Example: 42
get/api/shippinginformation
GET /api/shippinginformation HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "shippingInformation": [
    {
      "anonymized": false,
      "carrierRecipientInformation": [
        {
          "address": [
            {
              "additionalAddressInfo": "to care of: Mrs. Müller",
              "city": "Langenfeld",
              "country": "DE",
              "customAttributes": {},
              "houseNumber": "42a",
              "phoneNumbers": [
                {
                  "customAttributes": {},
                  "label": "text",
                  "type": "MOBILE",
                  "value": "text"
                }
              ],
              "postalCode": "40764",
              "province": "NRW",
              "street": "Hauptstr."
            }
          ],
          "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "created": "2025-08-04T08:16:07.000Z",
      "customAttributes": {},
      "facilityRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "id": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "lastModified": "2025-08-04T08:16:07.000Z",
      "operativeProcessRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "processRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "recommendedCarrier": {
        "carrierProduct": "EXPRESS",
        "carrierRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
        "carrierServices": [
          "IDENTITY_CHECK",
          "AGE_VERIFICATION"
        ]
      },
      "senderAddress": {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr.",
        "companyName": "Speedy Boxales Ltd.",
        "emailAddresses": [
          {
            "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
            "value": "text"
          }
        ],
        "resolvedCoordinates": {
          "lat": 50.937531,
          "lon": 6.960279
        },
        "resolvedTimeZone": {
          "offsetInSeconds": 28800,
          "source": "Google Maps API",
          "timeZoneId": "America/Los_Angeles",
          "timeZoneName": "Pacific Standard Time"
        }
      },
      "shippingInformationLineItems": [
        {
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ],
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1
          },
          "customAttributes": {},
          "globalLineItemId": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
          "id": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
          "quantity": 1,
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannableCodes": [
            "ABC-12345"
          ],
          "substituteForOrderedItem": {
            "article": {
              "titleLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "attributes": [
                {
                  "valueLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "keyLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "category": "descriptive",
                  "context": {
                    "type": "FACILITY_GROUP",
                    "value": "text"
                  },
                  "key": "%%subtitle%%",
                  "priority": 100,
                  "type": "STRING",
                  "value": "585er Gold"
                }
              ],
              "imageUrl": "https://example.com/resource",
              "tenantArticleId": "4711",
              "title": "Cologne Water",
              "weight": 1
            },
            "globalLineItemId": "text"
          }
        }
      ],
      "shortId": "ABC123",
      "status": "AVAILABLE",
      "tenantOrderId": "ORDER-12345",
      "version": 1
    }
  ],
  "total": 42
}

Create a shippingInformation

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates a new shippingInformation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ShippingInformationForCreation

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired

Reference to related facility

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
operativeProcessRefstringOptional

Reference to related operative process. If not passed, a new operative process will be created and the reference added.

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
processRefstringOptional

Reference to related process. If not passed, a new process will be created and the reference added.

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
shortIdstringOptional

A short identifier that helps assigning a shippingInformation to a customer

Example: ABC123
statusstringOptional

The status of the shippingInformation

Example: AVAILABLE
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: ORDER-12345
Responses
201

Successfully created the shippingInformation.

application/json

ShippingInformation

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeRequired

Creation date of this shippingInformation

Example: 2025-08-04T08:16:07.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired

Reference to related facility

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
idstringRequired

Unique identifier of this shippingInformation

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
lastModifiedstring · date-timeRequired

Last modification date of this shippingInformation

Example: 2025-08-04T08:16:07.000Z
operativeProcessRefstringRequired

Reference to related operative process. If not passed, a new operative process will be created and the reference added.

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
processRefstringRequired

Reference to related process. If not passed, a new process will be created and the reference added.

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
shortIdstringOptional

A short identifier that helps assigning a shippingInformation to a customer

Example: ABC123
statusstringRequired

The status of the shippingInformation

Example: AVAILABLE
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: ORDER-12345
versionnumberRequired

Version number of this shippingInformation

Example: 1
post/api/shippinginformation
POST /api/shippinginformation HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2881

{
  "anonymized": false,
  "carrierRecipientInformation": [
    {
      "address": [
        {
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        }
      ]
    }
  ],
  "customAttributes": {},
  "facilityRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "operativeProcessRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "processRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "recommendedCarrier": {
    "carrierProduct": "EXPRESS",
    "carrierRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
    "carrierServices": [
      "IDENTITY_CHECK",
      "AGE_VERIFICATION"
    ]
  },
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shippingInformationLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "quantity": 1,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "recordingRule": "MANDATORY",
          "validations": [
            {
              "allowedValues": [
                {
                  "type": "STRING"
                }
              ],
              "type": "EXACT_MATCH"
            }
          ],
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "ABC-12345"
      ],
      "substituteForOrderedItem": {
        "article": {
          "titleLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "https://example.com/resource",
          "tenantArticleId": "4711",
          "title": "Cologne Water",
          "weight": 1
        },
        "globalLineItemId": "text"
      }
    }
  ],
  "shortId": "ABC123",
  "status": "AVAILABLE",
  "tenantOrderId": "ORDER-12345"
}
{
  "anonymized": false,
  "carrierRecipientInformation": [
    {
      "address": [
        {
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        }
      ],
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "created": "2025-08-04T08:16:07.000Z",
  "customAttributes": {},
  "facilityRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "id": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "lastModified": "2025-08-04T08:16:07.000Z",
  "operativeProcessRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "processRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "recommendedCarrier": {
    "carrierProduct": "EXPRESS",
    "carrierRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
    "carrierServices": [
      "IDENTITY_CHECK",
      "AGE_VERIFICATION"
    ]
  },
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shippingInformationLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "id": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "quantity": 1,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "ABC-12345"
      ],
      "substituteForOrderedItem": {
        "article": {
          "titleLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "https://example.com/resource",
          "tenantArticleId": "4711",
          "title": "Cologne Water",
          "weight": 1
        },
        "globalLineItemId": "text"
      }
    }
  ],
  "shortId": "ABC123",
  "status": "AVAILABLE",
  "tenantOrderId": "ORDER-12345",
  "version": 1
}

Get a shippingInformation by its ID

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves a single shippingInformation using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
shippingInformationIdstringRequired
Responses
200

Successfully retrieved the shippingInformation.

application/json

ShippingInformation

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeRequired

Creation date of this shippingInformation

Example: 2025-08-04T08:16:07.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired

Reference to related facility

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
idstringRequired

Unique identifier of this shippingInformation

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
lastModifiedstring · date-timeRequired

Last modification date of this shippingInformation

Example: 2025-08-04T08:16:07.000Z
operativeProcessRefstringRequired

Reference to related operative process. If not passed, a new operative process will be created and the reference added.

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
processRefstringRequired

Reference to related process. If not passed, a new process will be created and the reference added.

Example: 019edfb7-f4cc-73ba-b117-8899ecbd1fa5
shortIdstringOptional

A short identifier that helps assigning a shippingInformation to a customer

Example: ABC123
statusstringRequired

The status of the shippingInformation

Example: AVAILABLE
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: ORDER-12345
versionnumberRequired

Version number of this shippingInformation

Example: 1
get/api/shippinginformation/{shippingInformationId}
GET /api/shippinginformation/{shippingInformationId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "anonymized": false,
  "carrierRecipientInformation": [
    {
      "address": [
        {
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        }
      ],
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "created": "2025-08-04T08:16:07.000Z",
  "customAttributes": {},
  "facilityRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "id": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "lastModified": "2025-08-04T08:16:07.000Z",
  "operativeProcessRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "processRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
  "recommendedCarrier": {
    "carrierProduct": "EXPRESS",
    "carrierRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
    "carrierServices": [
      "IDENTITY_CHECK",
      "AGE_VERIFICATION"
    ]
  },
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shippingInformationLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "id": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "quantity": 1,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "ABC-12345"
      ],
      "substituteForOrderedItem": {
        "article": {
          "titleLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "https://example.com/resource",
          "tenantArticleId": "4711",
          "title": "Cologne Water",
          "weight": 1
        },
        "globalLineItemId": "text"
      }
    }
  ],
  "shortId": "ABC123",
  "status": "AVAILABLE",
  "tenantOrderId": "ORDER-12345",
  "version": 1
}

List ShippingInformation (search)

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for ShippingInformation

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ShippingInformationSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

ShippingInformationPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/shippinginformation/search
POST /api/shippinginformation/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6692

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "carrierRecipientInformation": {
              "contains": {
                "address": {
                  "contains": {
                    "companyName": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "like": "text",
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    },
                    "email": "phil.bison@fulfillmenttools.com",
                    "firstName": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "like": "text",
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    },
                    "lastName": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "like": "text",
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    }
                  },
                  "exists": true
                }
              },
              "exists": true
            },
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "shippingInformationLineItems": {
              "contains": {
                "article": {
                  "tenantArticleId": "MY_ARTICLE_ID",
                  "title": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "like": "text",
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                }
              },
              "exists": true
            },
            "shortId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "tenantOrderId": "MY_ORDER_ID"
          }
        ],
        "carrierRecipientInformation": {
          "contains": {
            "address": {
              "contains": {
                "companyName": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "like": "text",
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "email": "phil.bison@fulfillmenttools.com",
                "firstName": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "like": "text",
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "lastName": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "like": "text",
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            }
          },
          "exists": true
        },
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "carrierRecipientInformation": {
              "contains": {
                "address": {
                  "contains": {
                    "companyName": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "like": "text",
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    },
                    "email": "phil.bison@fulfillmenttools.com",
                    "firstName": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "like": "text",
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    },
                    "lastName": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "like": "text",
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    }
                  },
                  "exists": true
                }
              },
              "exists": true
            },
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "shippingInformationLineItems": {
              "contains": {
                "article": {
                  "tenantArticleId": "MY_ARTICLE_ID",
                  "title": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "like": "text",
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                }
              },
              "exists": true
            },
            "shortId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "tenantOrderId": "MY_ORDER_ID"
          }
        ],
        "shippingInformationLineItems": {
          "contains": {
            "article": {
              "tenantArticleId": "MY_ARTICLE_ID",
              "title": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "like": "text",
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            }
          },
          "exists": true
        },
        "shortId": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "tenantOrderId": "MY_ORDER_ID"
      }
    ],
    "carrierRecipientInformation": {
      "contains": {
        "address": {
          "contains": {
            "companyName": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "email": "phil.bison@fulfillmenttools.com",
            "firstName": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "lastName": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "exists": true
        }
      },
      "exists": true
    },
    "created": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "lastModified": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "carrierRecipientInformation": {
          "contains": {
            "address": {
              "contains": {
                "companyName": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "like": "text",
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "email": "phil.bison@fulfillmenttools.com",
                "firstName": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "like": "text",
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "lastName": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "like": "text",
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            }
          },
          "exists": true
        },
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": "[Circular Reference]",
        "shippingInformationLineItems": {
          "contains": {
            "article": {
              "tenantArticleId": "MY_ARTICLE_ID",
              "title": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "like": "text",
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            }
          },
          "exists": true
        },
        "shortId": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "tenantOrderId": "MY_ORDER_ID"
      }
    ],
    "shippingInformationLineItems": {
      "contains": {
        "article": {
          "tenantArticleId": "MY_ARTICLE_ID",
          "title": {
            "eq": "text",
            "in": [
              "text"
            ],
            "like": "text",
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        }
      },
      "exists": true
    },
    "shortId": {
      "eq": "text",
      "in": [
        "text"
      ],
      "notEq": "text",
      "notIn": [
        "text"
      ]
    },
    "tenantOrderId": "MY_ORDER_ID"
  },
  "size": 10,
  "sort": [
    {
      "created": "ASC",
      "lastModified": "ASC"
    }
  ]
}
{
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "shippingInformationList": [
    {
      "anonymized": false,
      "carrierRecipientInformation": [
        {
          "address": [
            {
              "additionalAddressInfo": "to care of: Mrs. Müller",
              "city": "Langenfeld",
              "country": "DE",
              "customAttributes": {},
              "houseNumber": "42a",
              "phoneNumbers": [
                {
                  "customAttributes": {},
                  "label": "text",
                  "type": "MOBILE",
                  "value": "text"
                }
              ],
              "postalCode": "40764",
              "province": "NRW",
              "street": "Hauptstr."
            }
          ],
          "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "created": "2025-08-04T08:16:07.000Z",
      "customAttributes": {},
      "facilityRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "id": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "lastModified": "2025-08-04T08:16:07.000Z",
      "operativeProcessRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "processRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
      "recommendedCarrier": {
        "carrierProduct": "EXPRESS",
        "carrierRef": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
        "carrierServices": [
          "IDENTITY_CHECK",
          "AGE_VERIFICATION"
        ]
      },
      "senderAddress": {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr.",
        "companyName": "Speedy Boxales Ltd.",
        "emailAddresses": [
          {
            "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
            "value": "text"
          }
        ],
        "resolvedCoordinates": {
          "lat": 50.937531,
          "lon": 6.960279
        },
        "resolvedTimeZone": {
          "offsetInSeconds": 28800,
          "source": "Google Maps API",
          "timeZoneId": "America/Los_Angeles",
          "timeZoneName": "Pacific Standard Time"
        }
      },
      "shippingInformationLineItems": [
        {
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ],
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1
          },
          "customAttributes": {},
          "globalLineItemId": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
          "id": "019edfb7-f4cc-73ba-b117-8899ecbd1fa5",
          "quantity": 1,
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannableCodes": [
            "ABC-12345"
          ],
          "substituteForOrderedItem": {
            "article": {
              "titleLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "attributes": [
                {
                  "valueLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "keyLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "category": "descriptive",
                  "context": {
                    "type": "FACILITY_GROUP",
                    "value": "text"
                  },
                  "key": "%%subtitle%%",
                  "priority": 100,
                  "type": "STRING",
                  "value": "585er Gold"
                }
              ],
              "imageUrl": "https://example.com/resource",
              "tenantArticleId": "4711",
              "title": "Cologne Water",
              "weight": 1
            },
            "globalLineItemId": "text"
          }
        }
      ],
      "shortId": "ABC123",
      "status": "AVAILABLE",
      "tenantOrderId": "ORDER-12345",
      "version": 1
    }
  ],
  "total": 1
}

Last updated

Was this helpful?